Bug 47754

Summary: New script to verify explicit source file types in Xcode project files
Product: WebKit Reporter: David Kilzer (:ddkilzer) <ddkilzer>
Component: Tools / TestsAssignee: David Kilzer (:ddkilzer) <ddkilzer>
Status: RESOLVED FIXED    
Severity: Normal CC: aroben, darin, mrowe, sam, timothy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 48047    
Attachments:
Description Flags
Patch darin: review+

Description David Kilzer (:ddkilzer) 2010-10-15 16:46:04 PDT
Created attachment 70917 [details]
Patch

Reviewed by NOBODY (OOPS!).

The script parses an Xcode project file and makes sure the file
extension matches the explicit file type set for all source
files.  Note that the majority of source files will have their
type set by Xcode, so the script doesn't check them since there
is no need to second-guess Xcode.

* Scripts/check-Xcode-source-file-types: Added.  Code borrowed
heavily from sort-Xcode-project-file.
---
 2 files changed, 183 insertions(+), 0 deletions(-)
Comment 1 David Kilzer (:ddkilzer) 2010-10-15 16:47:11 PDT
This script found the following issues (will follow-up and fix them after this lands):

WARNING: Unknown file type 'sourcecode' for file 'CSSPrimitiveValue.idl'.
1 issues found for WebCore/WebCore.xcodeproj/project.pbxproj.

WARNING: Incorrect file type 'sourcecode.cpp.objcpp' for file 'WebStringTruncator.h'.
1 issues found for WebKit/WebKit.xcodeproj/project.pbxproj.

WARNING: Incorrect file type 'sourcecode.cpp.objcpp' for file 'PixelDumpSupport.cpp'.
WARNING: Incorrect file type 'sourcecode.cpp.objcpp' for file 'LayoutTestController.cpp'.
WARNING: Incorrect file type 'sourcecode.cpp.objcpp' for file 'WorkQueue.cpp'.
WARNING: Incorrect file type 'sourcecode.cpp.objcpp' for file 'cg/PixelDumpSupportCG.cpp'.
WARNING: Incorrect file type 'sourcecode.cpp.objcpp' for file 'GCController.cpp'.
5 issues found for WebKitTools/DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj.
Comment 2 David Kilzer (:ddkilzer) 2010-10-20 21:03:37 PDT
Committed r70207: <http://trac.webkit.org/changeset/70207>
Comment 3 David Kilzer (:ddkilzer) 2010-10-21 00:51:57 PDT
(In reply to comment #1)
> This script found the following issues (will follow-up and fix them after this lands):

Filed Bug 48047 for the follow-up fix.